View Issue Details

IDProjectCategoryView StatusLast Update
0002329ScribusImport / Exportpublic2007-09-22 21:26
Reporterpolc1410 Assigned Tojghali  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformFedora CoreOSLinuxOS VersionCore 3
Product Version1.3.0 
Target VersionFixed in Version1.3.5svn 
Summary0002329: SVG file with text - wrongly aligned, not scalable
DescriptionThis may be the same problems reported as 0001260 but he never uploaded a file and implied he had sorted it.

Importing an SVG file with text overlaying shaded boxes (a table) the shaded boxes are accepted correctly.

The text is imported as text boxes completely out of possition to the shaded boxes.
Steps To ReproduceImport SVG File attached (scribus 1.3.0)

Should produce like tiff http://www.wittongilbert.free-online.co.uk/table.tiff

Has been tried with various sources of SVG file - all with same result.

TagsNo tags attached.
Patch

Relationships

child of 0002931 acknowledged Metabug: SVG 

Activities

2005-07-30 22:38

 

southern-winners.svg (15,343 bytes)

jghali

2006-10-24 18:58

administrator   ~0013123

I have commited patches to 1.3.3.5cvs which improve result when importing the attached file:
- svg viewbox now better handled
- text boxes at right position
but text frames too small...

jghali

2007-09-22 20:56

administrator   ~0017352

The attached file can now be imported correctly in 1.3.5svn, text being now imported as vectors in order to better support svg graphic capabilities

Issue History

Date Modified Username Field Change
2005-07-30 22:38 polc1410 New Issue
2005-07-30 22:38 polc1410 File Added: southern-winners.svg
2005-12-22 22:44 plinnell Relationship added related to 0002931
2005-12-22 22:44 plinnell Status new => acknowledged
2006-01-30 12:16 lace Note Added: 0008492
2006-05-17 18:29 christoph_s Relationship deleted related to 0002931
2006-05-17 19:05 christoph_s Relationship added child of 0002931
2006-10-24 18:58 jghali Note Added: 0013123
2007-09-22 20:56 jghali Status acknowledged => resolved
2007-09-22 20:56 jghali Fixed in Version => 1.3.5svn
2007-09-22 20:56 jghali Resolution open => fixed
2007-09-22 20:56 jghali Assigned To => jghali
2007-09-22 20:56 jghali Note Added: 0017352
2007-09-22 21:26 cbradney Status resolved => closed